cURL
curl --request GET \ --url https://api.payvessel.com/pms/wallets/{wallet_id}/balance \ --header 'api-key: <api-key>'
{ "status": "<string>", "message": "<string>", "data": { "wallet_id": "<string>", "balance": "<string>", "currency": "<string>", "available_balance": "<string>" } }
Retrieve the current balance for a managed wallet
curl -X GET "https://api.payvessel.com/pms/wallets/wallet_123/balance" \ -H "api-key: YOUR_API_KEY"
curl -X GET "https://sandbox.payvessel.com/pms/wallets/wallet_123/balance" \ -H "api-key: YOUR_SANDBOX_API_KEY"
/pms/wallets/{wallet_id}/balance
api-key
"success"
"error"
Show Data Object
NGN
USD
curl -X GET https://api.payvessel.com/pms/wallets/WLT_123456/balance \ -H "api-key: YOUR_API_KEY" \ -H "api-secret: YOUR_SECRET"
{ "status": "success", "message": "Balance retrieved", "data": { "wallet_id": "WLT_123456", "balance": "500000", "available_balance": "495000", "currency": "NGN" } }
Your Payvessel public API key
The unique identifier of the wallet
Wallet balance retrieved successfully
Request status
Response message
Show child attributes